chiark
/
gitweb
/
~mdw
/
ca
/ commitdiff
commit
grep
author
committer
pickaxe
?
search:
re
summary
|
shortlog
|
log
|
commit
| commitdiff |
tree
raw
|
patch
|
inline
| side by side (parent:
b294f6b
)
bin/clean: Simple new program to reset the directory to a clean state.
author
Mark Wooding
<mdw@distorted.org.uk>
Sun, 31 Jul 2011 17:25:46 +0000
(18:25 +0100)
committer
Mark Wooding
<mdw@distorted.org.uk>
Sun, 31 Jul 2011 17:25:46 +0000
(18:25 +0100)
bin/clean
[new file with mode: 0755]
patch
|
blob
diff --git a/bin/clean
b/bin/clean
new file mode 100755
(executable)
index 0000000..
539e068
--- /dev/null
+++ b/
bin/clean
@@ -0,0
+1,8
@@
+#! /bin/sh
+
+set -e
+certroot=$(cd ${0%/*}/..; pwd)
+cd "$certroot"
+umask 022
+
+rm -rf ca.cert archive certs crls index private state tmp